<?
 /*SCRIPT PARA MANTENIMIENTO FACTURACION DIRECTA*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
 /*SOFTWARE: E-DUCATIVO */

  include("../fnc.php");
  enlinea_a();

  switch($tipo_trn){
   case "general":

   if(!$txtnfc){
     alert("Ingrese el número de documento","$goback");
   }

   $qdet=mysql_query("select * from cp_tmp_det_facturas where usuario = '$uuser' and tipo='FC'");
   if(mysql_num_rows($qdet)==0){
    alert("Debe ingresar por lo menos 1 linea de detalle","$goback");
   }

   $qver=mysql_query("select * from cp_cobros where numero = $txtnfc and tipo='FC'");
   if(mysql_num_rows($qver)>0){
     alert("El número de factura que ingresó ya existe,\\npor favor ingrese uno diferente",$goback);
   }

   $qver=mysql_query("select * from cp_recibos where numero = $txtnfc and tipo=1");
   if(mysql_num_rows($qver)>0){
     alert("El número de factura que ingresó ya existe,\\npor favor ingrese uno diferente",$goback);
   }


   $nfecha=explode("/",$txtfecha);
   $nfecha=$nfecha[2]."-".$nfecha[1]."-".$nfecha[0];
   $txtdireccion=str_replace(",","",$txtdireccion);
   $txtdireccion=str_replace("\"","",$txtdireccion);
   $txtdireccion=str_replace("'","",$txtdireccion);
   $txtdireccion=str_replace("´","",$txtdireccion);
   $txtdireccion=str_replace("`","",$txtdireccion);

     $sql="insert into cp_cobros
           set numero=$txtnfc,
           nit='$txtnit',
           nombre='$txtnombre',
           direccion='$txtdireccion',
           fecha='$nfecha',
           tipo='FC'";

     $res=mysql_query($sql);

     if(!$res){
     echo "ERROR:".mysql_error();
     exit();
     }


     while($idet=mysql_fetch_array($qdet)){
     $sql="insert into cp_det_cobros
           set cobro=$txtnfc,
           cantidad='{$idet[cantidad]}',
           descripcion='{$idet[descripcion]}',
           valorunit='{$idet[valorunit]}',
           tipo='FC'";

     $res=mysql_query($sql);
     }

     //ELIMINACION DE INFORMACIÓN TEMPORAL
     $q=mysql_query("delete from cp_tmp_facturas where usuario = '$uuser'");
     $q=mysql_query("delete from cp_tmp_det_facturas where usuario = '$uuser'");

     // ACTUALIZACION DE CORRELATIVO
     $qfc=mysql_query("select correlativo + 1 as numero from cp_talonarios where id = 1");
     $ifc=mysql_fetch_array($qfc);

     if($txtnfc >= $ifc[numero]){
       $updc=mysql_query("update cp_talonarios set correlativo = $txtnfc where id = 1");
     }

     header("Location: frame_recibo_all.php?idr=$txtnfc&tipo=FC&backurl=frm_cp_det_facturacion.php&rpt=rpt_factura_directa.php");

   break;

   case "Add_detalle":
     $sql="insert into cp_tmp_det_facturas
           set
           factura = '',
           cantidad = $txtcantidad,
           descripcion = '$txtdescrip',
           valorunit='$txtvalorunit',
           usuario='$uuser',
           tipo='FC'";
//     echo $sql;

      $res=mysql_query($sql);
     if(!$res){
     echo "error:".mysql_error();
     exit();
     }
     header("Location: frm_cp_det_facturacion.php");
   break;

   case "Delete_det":
     if(!$confirmacion){
       $qinfo=mysql_query("select * from cp_tmp_det_facturas where id = $idd");
       $info=mysql_fetch_array($qinfo);
       confirmacion("Está seguro que desea eliminar\\n{$info[cantidad]}  {$info[descripcion]}","mnt_cp_facturacion.php?tipo_trn=Delete_det&confirmacion=ok&idd=$idd","frm_cp_det_facturacion.php");
     }else{
      $sql="delete from cp_tmp_det_facturas where id = $idd";
      //echo $sql;
      $res=mysql_query($sql);
      header("Location: frm_cp_det_facturacion.php");
     }
   break;

   case "Delete_all_det":
     if(!$confirmacion){
       confirmacion("Está seguro que desea eliminar todo \\nel detalle de esta transacción?\\n{$info[cantidad]}  {$info[descripcion]}","mnt_cp_facturacion.php?tipo_trn=Delete_all_det&confirmacion=ok","frm_cp_det_facturacion.php");
     }else{
      $sql="delete from cp_tmp_det_facturas where usuario  = '$uuser'";
      $res=mysql_query($sql);
      header("Location: frm_cp_det_facturacion.php");
     }
   break;

   default: header("Location: ./inicio.php");
  }

?>